import dice

from command_system import as_plugin


@as_plugin
def roll(message):
    argstr = message.raw_args
    try:
        rolls = []
        for roll_exp in argstr.split(","):
            roll = dice.roll(roll_exp)
            if not isinstance(roll, int):
                roll = int(roll)
            rolls.append(str(roll))
        return "Rolled {}, got: {}".format(argstr, ", ".join(rolls))
    except Exception as _:
        return "Sorry - dice expression appears malformed. Add more ()'s"
