import random

from command_system import as_plugin


@as_plugin
def isadmin(message):
    return message.from_admin


@as_plugin
def debug(message):
    return message


@as_plugin
def echo(message):
    return "'%s' - %s" % (message.raw_args or "", message.name)


@as_plugin
def greet():
    return random.choice(("Hi!", "Hello!", "안녕하세요", "こんにちは", "你好", "👋"))


@as_plugin
def console(message):
    argstr = message.raw_args
    opts = [
        "NEVER GIVE UP",
        "I believe in you!",
        "You're doing your best, it's okay!"
    ]
    if argstr is not None:
        opts.append("It'll be okay, {}! Keep trying!".format(argstr))
    return random.choice(opts)
